/* Styles for the modal popup */

/* Modal Base Styles */
.modal-popup {
	display: none;
	position: fixed;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%) scale(0.9);
	width: 90%;
	max-width: 800px;
	max-height: 80%;
	background-color: white;
	box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
	z-index: 10000;
	border-radius: 10px;
	padding: 0 20px;
	overflow-y: auto;
	opacity: 0;
	transition: all 0.3s ease-in-out;
}

/* Show Class for Modal */
.modal-popup.show {
	display: block;
	transform: translate(-50%, -50%) scale(1);
	opacity: 1;
}

/* Modal Overlay */
.modal-overlay {
	display: none;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5);
	z-index: 9999;
	opacity: 0;
	transition: opacity 0.3s ease-in-out;
}

/* Show Class for Overlay */
.modal-overlay.show {
	display: block;
	opacity: 1;
}

/* Styles for the bottom sheet on mobile */
@media (max-width: 767px) {
	.modal-popup {
		left: 0;
		bottom: 0;
		top: auto;
		transform: translateY(100%);
		width: 100%;
		border-radius: 10px 10px 0 0;
	}

	.modal-popup.show {
		transform: translateY(0);
	}
}

/* Styles for the modal content */
.modal-content {
	position: relative;
	font-size: 14px;
}

.modal-header-section {
	padding-top: 10px;
	height: 50px;
	margin-top: 0px;
	top: 0px;
	z-index: 1000;
	position: sticky;
	border-bottom: 1px solid #ddd;
	background-color: #fff;
	margin-bottom: 10px;
}

.modal-content table {
	border-collapse: collapse;
	font-size: 12px;
}

.modal-content table th, .modal-content table td {
	border: 1px solid;
	padding: 6px;
	line-height: 1em;
}

.modal-content table th {
	background: #f0f2f2;
}

.modal-content table ul {
	margin-bottom: 0;
}

/* Styles for the close button */
.close-btn {
	margin-top:15px;
	border-radius:6px;
	border:1px solid #007185;
	outline:1px solid #007185;
	padding: 0px 5px;
	color: #007185;
	position: absolute;
	top: 0px;
	right: 0px;
	cursor: pointer;
	transition: color 0.3s ease;
}

.close-btn:hover {
	outline:2px solid #007185;
}
.modal-header-section .fas.fa-arrow-down {
	color: #ccc;
	margin-left: 1em;
}

.modal-header-section h4 {
	margin-right: 1em;
	line-height: 1;
	font-size: 16px;
	font-weight: 600;
	margin-top: 9px;
}

/* Remove focus on links */
#readTermsLink:focus, 
#pricematchTrigger:focus, 
.delivery-details:focus, 
#codTrigger:focus, 
#fulfilledTrigger:focus, 
#efrisTrigger:focus, #returnsTrigger:focus, #genuineTrigger:focus, 
#safepayTrigger:focus, #installTrigger:focus, #warrantyTrigger:focus, #topbrandTrigger:focus, 
#featuredTrigger:focus, 
#qcTrigger:focus, 
#descTrigger:focus, .pickup-notice:focus, #districtTrigger:focus {
	outline: none !important;
	box-shadow: none;
}